<template>
  <div class="abeuni-form">
    <div class="title">
      {{ title }}<span>{{ subtitle }}</span>
    </div>
    <form class="form" @submit.prevent="$emit('submit')">
      <slot />
    </form>
  </div>
</template>

<script>
export default {
  props: {
    number: { type: Number, default: null },
    title: { type: String, required: true },
    subtitle: { type: String, required: true }
  }
}
</script>

<style src="vue-multiselect/dist/vue-multiselect.min.css"></style>

<style lang="scss" scoped>
.abeuni-form {
  .title {
    span {
      display: block;
      margin-top: 2px;
      font: 13px Arial, Helvetica, sans-serif;
    }

    background: #2a88ad;
    padding: 20px 30px 15px 30px;
    border-radius: 10px 10px 0 0;
    color: #fff;
    text-shadow: 1px 1px 3px rgba(0, 0, 0, 0.12);
    font: normal 30px "Bitter", serif;
    border: 1px solid #257c9e;
  }

  form.form {
    display: flex;
    flex-direction: column;

    margin: 1em;
  }

  border: 1px solid #dddddd;
  border-radius: 1em;
}
</style>
